<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.17
Name: Aktuelle Medikation
Description: Aktuelle Medikation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711">
   <title>Aktuelle Medikation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]
Item: (MedicationcurrentKonsil)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]"
         id="d41e10981-false-d133688e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(MedicationcurrentKonsil): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(MedicationcurrentKonsil): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17']) &gt;= 1">(MedicationcurrentKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17']) &lt;= 1">(MedicationcurrentKonsil): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3041']) &gt;= 1">(MedicationcurrentKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3041'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3041']) &lt;= 1">(MedicationcurrentKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3041'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(MedicationcurrentKonsil): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(MedicationcurrentKonsil): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(MedicationcurrentKonsil): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(MedicationcurrentKonsil): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(MedicationcurrentKonsil): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(MedicationcurrentKonsil): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17']
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17']"
         id="d41e10987-false-d133758e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationcurrentKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.17')">(MedicationcurrentKonsil): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.17' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '1.2.276.0.76.10.3041']
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '1.2.276.0.76.10.3041']"
         id="d41e10992-false-d133773e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationcurrentKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="string(@root) = ('1.2.276.0.76.10.3041')">(MedicationcurrentKonsil): Der Wert von root MUSS '1.2.276.0.76.10.3041' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e10997-false-d133788e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationcurrentKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(MedicationcurrentKonsil): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]"
         id="d41e11003-false-d133804e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationcurrentKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="text()='Medikation'">(MedicationcurrentKonsil): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikation'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]
Item: (MedicationcurrentKonsil)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]"
         id="d41e11009-false-d133818e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationcurrentKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.17
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.10']]]
Item: (MedicationcurrentKonsil)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.17'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.10']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.html"
              test="string(@typeCode) = ('DRIV')">(MedicationcurrentKonsil): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
