<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.45
Name: Dermatologische Anamnese
Description: Angaben zu einer dermatologischen Anamnese
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340">
   <title>Dermatologische Anamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]
Item: (DermatologischeAnamnese)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]"
         id="d41e13466-false-d155300e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']) &gt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']) &lt;= 1">(DermatologischeAnamnese): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeAnamnese): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologischeAnamnese): Element hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeAnamnese): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeAnamnese): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]]) &gt;= 1">(DermatologischeAnamnese): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]]) &lt;= 1">(DermatologischeAnamnese): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']"
         id="d41e13468-false-d155371e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.45')">(DermatologischeAnamnese): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.45' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:id
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:id"
         id="d41e13473-false-d155385e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:code[(@code = '84077-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e13475-false-d155396e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="@nullFlavor or (@code='84077-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology History and physical note')">(DermatologischeAnamnese): Der Elementinhalt MUSS einer von 'code '84077-7' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology History and physical note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:title[not(@nullFlavor)]"
         id="d41e13480-false-d155412e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="text()='Anamnese'">(DermatologischeAnamnese): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Anamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:text
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:text"
         id="d41e13486-false-d155426e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAnamnese): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']]]"
         id="d41e13489-false-d155442e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:act[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.80']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]]"
         id="d41e13501-false-d155474e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.46']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.45
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']]]
Item: (DermatologischeAnamnese)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.45']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']]]"
         id="d41e13508-false-d155504e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeAnamnese): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']]) &gt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.45-2020-03-30T223340.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']]) &lt;= 1">(DermatologischeAnamnese): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.48']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
