<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.47
Name: Beschwerdedauer und Verlauf Narrativ
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743">
   <title>Beschwerdedauer und Verlauf Narrativ</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.47
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]
Item: (BeschwerdedauerVerlaufNarrativ)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.47
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]
Item: (BeschwerdedauerVerlaufNarrativ)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]"
         id="d41e13654-false-d155740e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="string(@classCode) = ('OBS')">(BeschwerdedauerVerlaufNarrativ): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="string(@moodCode) = ('EVN')">(BeschwerdedauerVerlaufNarrativ): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']) &gt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']) &lt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(BeschwerdedauerVerlaufNarrativ): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.47
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']
Item: (BeschwerdedauerVerlaufNarrativ)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']"
         id="d41e13660-false-d155783e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerVerlaufNarrativ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.47')">(BeschwerdedauerVerlaufNarrativ): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.47' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.47
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (BeschwerdedauerVerlaufNarrativ)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e13665-false-d155798e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerVerlaufNarrativ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="@nullFlavor or (@code='56827-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Symptom duration during occurrences or episodes')">(BeschwerdedauerVerlaufNarrativ): Der Elementinhalt MUSS einer von 'code '56827-9' codeSystem '2.16.840.1.113883.6.1' displayName='Symptom duration during occurrences or episodes'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.47
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:text[not(@nullFlavor)]
Item: (BeschwerdedauerVerlaufNarrativ)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.47']]/hl7:text[not(@nullFlavor)]"
         id="d41e13670-false-d155814e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerVerlaufNarrativ): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
