<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.59
Name: Familienerkrankungen (Dermatologie)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323">
   <title>Familienerkrankungen (Dermatologie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]
Item: (FamilienerkrankungenDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]
Item: (FamilienerkrankungenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]"
         id="d41e14275-false-d157565e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="string(@classCode) = ('OBS')">(FamilienerkrankungenDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="string(@moodCode) = ('EVN')">(FamilienerkrankungenDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']) &gt;= 1">(FamilienerkrankungenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']) &lt;= 1">(FamilienerkrankungenDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(FamilienerkrankungenDermatologie): Element hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(FamilienerkrankungenDermatologie): Element hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(FamilienerkrankungenDermatologie): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(FamilienerkrankungenDermatologie): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']
Item: (FamilienerkrankungenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']"
         id="d41e14281-false-d157612e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FamilienerkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.59')">(FamilienerkrankungenDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.59' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:id
Item: (FamilienerkrankungenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:id"
         id="d41e14286-false-d157626e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FamilienerkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (FamilienerkrankungenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:code[(@code = '74023-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e14288-false-d157637e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FamilienerkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="@nullFlavor or (@code='74023-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Disease of interest in family member')">(FamilienerkrankungenDermatologie): Der Elementinhalt MUSS einer von 'code '74023-3' codeSystem '2.16.840.1.113883.6.1' displayName='Disease of interest in family member'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.59
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:text[not(@nullFlavor)]
Item: (FamilienerkrankungenDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.59']]/hl7:text[not(@nullFlavor)]"
         id="d41e14294-false-d157653e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FamilienerkrankungenDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
