<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.62
Name: Dermatologische Vorbehandlungen
Description: Angaben zu Vorbehandlungen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548">
   <title>Dermatologische Vorbehandlungen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]
Item: (DermatologischeVorbehandlungen)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]"
         id="d41e14507-false-d158277e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']"
         id="d41e14509-false-d158321e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.62')">(DermatologischeVorbehandlungen): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.62' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:id
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:id"
         id="d41e14514-false-d158335e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:title[not(@nullFlavor)]"
         id="d41e14516-false-d158345e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="text()='Vorbehandlungen'">(DermatologischeVorbehandlungen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Vorbehandlungen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:text
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:text"
         id="d41e14522-false-d158359e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeVorbehandlungen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.62
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']]]
Item: (DermatologischeVorbehandlungen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']]]"
         id="d41e14524-false-d158373e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeVorbehandlungen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']]) &gt;= 1">(DermatologischeVorbehandlungen): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.62-2020-04-04T215548.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']]) &lt;= 1">(DermatologischeVorbehandlungen): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.61']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
