<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.74
Name: Dermatologisches Konsil Feedback Auftraggeber
Description: Feedback des Auftraggebers zum dermatologischen Konsill
        
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144">
   <title>Dermatologisches Konsil Feedback Auftraggeber</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]"
         id="d41e15244-false-d160237e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:id) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:text) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:text) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']) &gt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:entry[not(@nullFlavor)][@typeCode = 'COMP'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="count(hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']) &lt;= 1">(FeedbackAuftraggeberKonsilDermatologie): Element hl7:entry[not(@nullFlavor)][@typeCode = 'COMP'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']"
         id="d41e15246-false-d160295e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.74')">(FeedbackAuftraggeberKonsilDermatologie): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.74' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:id
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:id"
         id="d41e15251-false-d160309e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:code[(@code = '74466-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e15253-false-d160320e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="@nullFlavor or (@code='74466-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Feedback to user')">(FeedbackAuftraggeberKonsilDermatologie): Der Elementinhalt MUSS einer von 'code '74466-4' codeSystem '2.16.840.1.113883.6.1' displayName='Feedback to user'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:title[not(@nullFlavor)]
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:title[not(@nullFlavor)]"
         id="d41e15258-false-d160336e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="text()='Feedback des Auftraggebers'">(FeedbackAuftraggeberKonsilDermatologie): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Feedback des Auftraggebers'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:text
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:text"
         id="d41e15264-false-d160350e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FeedbackAuftraggeberKonsilDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.74
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']
Item: (FeedbackAuftraggeberKonsilDermatologie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.74']]/hl7:entry[not(@nullFlavor)][@typeCode = 'COMP']"
         id="d41e15267-false-d160363e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.74-2020-04-06T181144.html"
              test="string(@typeCode) = ('COMP')">(FeedbackAuftraggeberKonsilDermatologie): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
