<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.49
Name: Dermatologische Risikofaktoren
Description: Angabe dermatologischer Risikofaktoren
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720">
   <title>Dermatologische Risikofaktoren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]
Item: (DermatologischeRisikofaktoren)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]"
         id="d41e13774-false-d156006e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']"
         id="d41e13776-false-d156070e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.49')">(DermatologischeRisikofaktoren): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.49' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:id
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:id"
         id="d41e13781-false-d156084e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e13783-false-d156095e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Risk factors Document')">(DermatologischeRisikofaktoren): Der Elementinhalt MUSS einer von 'code '51898-5' codeSystem '2.16.840.1.113883.6.1' displayName='Risk factors Document'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:title[not(@nullFlavor)]"
         id="d41e13788-false-d156111e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="text()='Risikofaktoren'">(DermatologischeRisikofaktoren): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Risikofaktoren'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:text
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:text"
         id="d41e13794-false-d156125e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]]
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]]"
         id="d41e13797-false-d156139e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeRisikofaktoren): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.50']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.49
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]
Item: (DermatologischeRisikofaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.49']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]]"
         id="d41e13807-false-d156169e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="string(@typeCode) = ('COMP')">(DermatologischeRisikofaktoren): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.49-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.51']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
