<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.5
Name: Vitalparameter Organizer Blutdruck
Description: Vitalparameter für den Blutdruck
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728">
   <title>Vitalparameter Organizer Blutdruck</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]"
         id="d41e13819-false-d156214e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]"
         id="d41e13835-false-d156251e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@classCode) = ('CLUSTER')">(VitalparameterOrganizerBlutdruck): Der Wert von classCode MUSS 'CLUSTER' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@moodCode) = ('EVN')">(VitalparameterOrganizerBlutdruck): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5']) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5']) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4238']) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:templateId[@root = '1.2.276.0.76.10.4238'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4238']) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:templateId[@root = '1.2.276.0.76.10.4238'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:id) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:id) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:effectiveTime) &gt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:effectiveTime) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.10.4173']]]) &lt;= 1">(VitalparameterOrganizerBlutdruck): Element hl7:component[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.10.4173']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5']
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5']"
         id="d41e13841-false-d156336e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.5')">(VitalparameterOrganizerBlutdruck): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.5' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:templateId[@root = '1.2.276.0.76.10.4238']
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:templateId[@root = '1.2.276.0.76.10.4238']"
         id="d41e13846-false-d156351e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@root) = ('1.2.276.0.76.10.4238')">(VitalparameterOrganizerBlutdruck): Der Wert von root MUSS '1.2.276.0.76.10.4238' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:id
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:id"
         id="d41e13851-false-d156365e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e13854-false-d156376e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Vital sign (observable entity)' and @codeSystemName='LOINC')">(VitalparameterOrganizerBlutdruck): Der Elementinhalt MUSS einer von 'code '8716-3' codeSystem '2.16.840.1.113883.6.1' displayName='Vital sign (observable entity)' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:statusCode[@code = 'completed']
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:statusCode[@code = 'completed']"
         id="d41e13859-false-d156393e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="@nullFlavor or (@code='completed')">(VitalparameterOrganizerBlutdruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:effectiveTime
Item: (VitalparameterOrganizerBlutdruck)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:effectiveTime"
         id="d41e13864-false-d156409e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterOrganizerBlutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.5
Context: *[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:component[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.10.4173']]]
Item: (VitalparameterOrganizerBlutdruck)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.4238']]/hl7:component[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.10.4173']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(VitalparameterOrganizerBlutdruck): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200626T172845/tmp-2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(VitalparameterOrganizerBlutdruck): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
